#ifndef _SETTINGSMENU_
#define _SETTINGSMENU_

#ifndef _UIMENU_
#include "UIMenu.h"
#endif

class HomeMenu;

class SettingsMenu : public UIMenu
{
public:
    SettingsMenu( CheapLCD * lcd, HomeMenu * parent );
    virtual ~SettingsMenu() {};
    
protected:
    virtual void KnobPushed();
    virtual void AttachButton( PushButton * button )
        { button->attach( this, &SettingsMenu::KnobPushed ); }
    
private:
    CheapLCD * fLCD;
    HomeMenu * fParent;
};

class DebugMenu : public UIMenu
{
public:
    DebugMenu( CheapLCD * lcd, SettingsMenu * parent );
    virtual ~DebugMenu() {};

protected:
    virtual void KnobPushed();
    virtual void AttachButton( PushButton * button )
        { button->attach( this, &DebugMenu::KnobPushed ); }
        
private:
    CheapLCD * fLCD;
    SettingsMenu * parent;
};

#endif
